Admin APIs/Map & Telemetry
Vehicle Trail by IMEI
GET
/admin/vehicles/by-imei/:imei/trailBearer token required
ADMINContent-Type:
application/jsonPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
imei | string | Required |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
hours | string | Optional | Last N hours |
from | string | Optional | ISO datetime |
to | string | Optional | ISO datetime |
maxPoints | string | Optional | Max trail points |
Response Example
200 OK
{
"action": true,
"data": {
"points": [
{
"lat": 28.6139,
"lng": 77.209,
"timestamp": "2026-03-08T04:00:00Z"
},
{
"lat": 28.615,
"lng": 77.21,
"timestamp": "2026-03-08T04:05:00Z"
}
]
}
}Code Examples
curl -X GET 'https://<your-domain>:3001/admin/vehicles/by-imei/:imei/trail' \
-H 'Authorization: Bearer <token>'Try It
API Playground
Sends a real request to the configured serverimei*hoursfromtomaxPoints